FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Ubuntu > Ubuntu User

 
 
LinkBack Thread Tools
 
Old 03-23-2011, 09:25 PM
"giovanni_re"
 
Default Adobe Flash fails Firefox: LoadPlugin: failed initialize flashplugin-installer/npwrapper.libflashplayer.so : wrong ELF class: ELFCLASS64 ; gre

Two error messages:

1) Upon starting Firefox from the command line:
"LoadPlugin: failed to initialize shared library
/var/lib/flashplugin-installer/npwrapper.libflashplayer.so
[/var/lib/flashplugin-installer/npwrapper.libflashplayer.so: wrong ELF
class: ELFCLASS64]"

2) Adobe Flash fails in Firefox, on youtube.com:
"Hello, you either have JavaScript turned off or an old version of
Adobe's Flash Player. Get the latest Flash player."
On youtube, & other websites.


================
Firefox is complaining about flash - saying it thinks Javascript is off,
or I have an old Flash Player version that needs to be updated. Both of
those are false, I suspect.

I'm running KUbuntu 10.4 fully apt-updated, on AMD 64.
Firefox is the direct from Mozilla download, not the Ubuntu version,
because the Moz version has the debug capability built in, to record
what happened if FF crashes.

Adobe flash seems to be comming direct from Adobe, through the Ubuntu
package management system, a flash installer that grabs the latest Adobe
Flash sw direct from Adobe, during the "apt-get upgrade" operation. The
latest Adobe flash update/download happened today. As typical, that
made no difference to this problem - this error has been occuring for
months, through several Flash upgrades.

I start Firefox from the command line (not the GUI start menu), so that
I'll have the output messages in the console.

I start FF with the "Profile Manager" option on the command line, &
select from several profiles I have set up. I thus usually have several
instances of FF running at once, under different profiles. That is so
that if Firefox crashes, it doesn't kill _all_ the FF web browser
windows I have open, only the ones running in that profile's instance.

Upon startup, the 3rd message to the console is:
"LoadPlugin: failed to initialize shared library
/var/lib/flashplugin-installer/npwrapper.libflashplayer.so
[/var/lib/flashplugin-installer/npwrapper.libflashplayer.so: wrong ELF
class: ELFCLASS64]"

In, for example, youtube.com, where the flash video player should
apperar, is only the error message:
"Hello, you either have JavaScript turned off or an old version of
Adobe's Flash Player. Get the latest Flash player."


Any idea what the problem fix is??

Thanks.


===================
=================== Some data:

/var/lib/flashplugin-installer$ ll
total 116
-rwxr-xr-x 1 root root 117960 2011-03-23 13:13
npwrapper.libflashplayer.so

==========
Firefox 3.6.10

FF Add-ons extensions running:
Adblock Plus 1.2
BetterPrivacy 1.47.4
DownloadHelper 4.7.3
Flashblock 1.5.13
Ghostery 2.1.1
NoScript 1.9.9.74

uname -a
Linux a 2.6.32-30-generic #59-Ubuntu SMP Tue Mar 1 21:30:46 UTC 2011
x86_64 GNU/Linux


Flashblock 1.5.13 plugin, whitelisted youtube.com
Noscript 1.9.9.74, whitelisted youtube.com

locate flashplugin
/etc/alternatives/firefox-flashplugin
/etc/alternatives/iceape-flashplugin
/etc/alternatives/iceweasel-flashplugin
/etc/alternatives/midbrowser-flashplugin
/etc/alternatives/mozilla-flashplugin
/etc/alternatives/xulrunner-addons-flashplugin
/etc/alternatives/xulrunner-flashplugin
/root/apt/flashplugin_reinstall.txt
/usr/lib/flashplugin-installer
/usr/lib/firefox/plugins/flashplugin-alternative.so
/usr/lib/flashplugin-installer/libflashplayer.so
/usr/lib/iceape/plugins/flashplugin-alternative.so
/usr/lib/iceweasel/plugins/flashplugin-alternative.so
/usr/lib/midbrowser/plugins/flashplugin-alternative.so
/usr/lib/mozilla/plugins/flashplugin-alternative.so
/usr/lib/nspluginwrapper/dirs.d/flashplugin-installer
/usr/lib/xulrunner/plugins/flashplugin-alternative.so
/usr/lib/xulrunner-addons/plugins/flashplugin-alternative.so
/usr/share/app-install/desktop/flashplugin-installer.desktop
/usr/share/app-install/icons/adobeflashplugin.png
/usr/share/doc/flashplugin-installer
/usr/share/doc/flashplugin-installer/changelog.gz
/usr/share/doc/flashplugin-installer/copyright
/usr/share/lintian/overrides/flashplugin-installer
/var/cache/flashplugin-installer
/var/cache/apt/ArchivesBackup/flashplugin-installer_10.0.45.2ubuntu1_amd64.deb
/var/cache/flashplugin-installer/adobe-flashplugin_10.2.152.27.orig.tar.gz
/var/lib/flashplugin-installer
/var/lib/dpkg/alternatives/firefox-flashplugin
/var/lib/dpkg/alternatives/iceape-flashplugin
/var/lib/dpkg/alternatives/iceweasel-flashplugin
/var/lib/dpkg/alternatives/midbrowser-flashplugin
/var/lib/dpkg/alternatives/mozilla-flashplugin
/var/lib/dpkg/alternatives/xulrunner-addons-flashplugin
/var/lib/dpkg/alternatives/xulrunner-flashplugin
/var/lib/dpkg/info/flashplugin-installer.config
/var/lib/dpkg/info/flashplugin-installer.list
/var/lib/dpkg/info/flashplugin-installer.md5sums
/var/lib/dpkg/info/flashplugin-installer.postinst
/var/lib/dpkg/info/flashplugin-installer.postrm
/var/lib/dpkg/info/flashplugin-installer.prerm
/var/lib/dpkg/info/flashplugin-installer.templates
/var/lib/flashplugin-installer/npwrapper.libflashplayer.so
/var/lib/update-rc.d/flashplugin-installer

===============
root@a:~/apt# time apt-get upgrade
The following packages will be upgraded:
flashplugin-installer
1 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 0B/20.3kB of archives.
After this operation, 0B of additional disk space will be used.
Do you want to continue [Y/n]? y
Preconfiguring packages ...
(Reading database ... 175498 files and directories currently installed.)
Preparing to replace flashplugin-installer 10.2.152.27ubuntu0.10.04.1
(using .../flashplugin-installer_10.2.153.1ubuntu0.10.04.1_amd64.deb)
...
Unpacking replacement flashplugin-installer ...
Setting up flashplugin-installer (10.2.153.1ubuntu0.10.04.1) ...
Downloading...
--2011-03-23 13:11:41--
http://archive.canonical.com/pool/partner/a/adobe-flashplugin/adobe-flashplugin_10.2.153.1.orig.tar.gz
Resolving archive.canonical.com... 91.189.88.33
Connecting to archive.canonical.com|91.189.88.33|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 4967805 (4.7M) [application/x-gzip]
Saving to: `./adobe-flashplugin_10.2.153.1.orig.tar.gz'

0K .......... .......... .......... .......... .......... 1% 40.9K
1m57s
50K .......... .......... .......... .......... .......... 2% 85.3K
86s
...
4750K .......... .......... .......... .......... .......... 98% 51.0K
1s
4800K .......... .......... .......... .......... .......... 99% 48.7K
0s
4850K . 100%
2617G=1m58s

2011-03-23 13:13:41 (41.0 KB/s) -
`./adobe-flashplugin_10.2.153.1.orig.tar.gz' saved [4967805/4967805]

Download done.
Flash Plugin installed.



===============
apt-cache show flashplugin-installer


Package: flashplugin-installer
Priority: optional
Section: multiverse/web
Installed-Size: 184
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Original-Maintainer: Bart Martens <bartm@knars.be>
Architecture: amd64
Source: flashplugin-nonfree
Version: 10.2.153.1ubuntu0.10.04.1
Replaces: flashplugin (<< 6), flashplugin-nonfree
Provides: flashplugin-nonfree
Depends: nspluginwrapper (>= 0.9.91.4-2ubuntu1), ia32-libs (>=
2.2ubuntu18), debconf | debconf-2.0, wget, fontconfig
Recommends: libasound2-plugins (>= 1.0.16)
Suggests: firefox, xulrunner-1.9, firefox-3.0, konqueror-nsplugins,
x-ttcidfont-conf, msttcorefonts, ttf-bitstream-vera | ttf-dejavu,
ttf-xfree86-nonfree, xfs (>= 1:1.0.1-5)
Conflicts: flashplayer-mozilla, flashplugin (<< 6), flashplugin-nonfree
(<< 10.0.22.87ubuntu2~), libflashsupport, xfs (<< 1:1.0.1-5)
Filename:
pool/multiverse/f/flashplugin-nonfree/flashplugin-installer_10.2.153.1ubuntu0.10.04.1_amd64.deb
Size: 20302
MD5sum: 9b786d4a6f2b24f48e997a3f212dceb1
SHA1: be6dd06ac37755eff9b2ca59f9299f66f8336811
SHA256: f536b8cb17c7f0b49f98d9af26ea62eebedad35ab64447b9d6 43ae6cc7ce7b66
Description: Adobe Flash Player plugin installer
This package will download the Flash Player from the net. It is a
Netscape/Mozilla type plugin. Any browser based on Netscape or Mozilla
can
use the Flash plugin. This package currently supports the following
browsers:
Mozilla, Mozilla-Firefox, Firefox, Iceweasel, and Iceape. Also Galeon
and
Epiphany can use the Flash plugin. Konqueror can also use the Flash
plugin if
konqueror-nsplugins is installed.
.
WARNING: Installing this Ubuntu package causes the Adobe flash plugin
to be
downloaded from www.adobe.com. The distribution license of the Adobe
flash
plugin is available at www.adobe.com. Installing this Ubuntu package
implies
that you have accepted the terms of that license.
Homepage: http://wiki.ubuntu.com/FlashPlayer9
Npp-Applications: ec8030f7-c20a-464f-9b0e-13a3a9e97384,
92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a,
aa5ca914-c309-495d-91cf-3141bbb04115
Npp-Description: Adobe Flash SWF Player (http://www.adobe.com)
Npp-File: libflashplayer.so
Npp-Mimetype: application/x-shockwave-flash
Npp-Name: Adobe Flash Player (installer)
Bugs: https://bugs.launchpad.net/ubuntu/+filebug
Origin: Ubuntu

======================================
LoadPlugin: failed to initialize shared library
/var/lib/flashplugin-installer/npwrapper.libflashplayer.so
[/var/lib/flashplugin-installer/npwrapper.libflashplayer.so: wrong ELF
class: ELFCLASS64]


========================
/Firefox/firefox/firefox -no-remote -ProfileManager


(firefox-bin:6427): Gtk-WARNING **:
/usr/lib/gtk-2.0/2.10.0/engines/libqtcurve.so: wrong ELF class:
ELFCLASS64

(firefox-bin:6427): Gtk-WARNING **:
/usr/lib/gtk-2.0/2.10.0/engines/libqtcurve.so: wrong ELF class:
ELFCLASS64
LoadPlugin: failed to initialize shared library
/usr/lib/mozilla/plugins/skypebuttons.so
[/usr/lib/mozilla/plugins/skypebuttons.so: wrong ELF class: ELFCLASS64]
LoadPlugin: failed to initialize shared library
/var/lib/flashplugin-installer/npwrapper.libflashplayer.so
[/var/lib/flashplugin-installer/npwrapper.libflashplayer.so: wrong ELF
class: ELFCLASS64]

===================
man flashplugin-installer
No manual entry for flashplugin-installer

==============
dpkg -l | grep flash
ii flashplugin-installer 10.2.153.1ubuntu0.10.04.1
Adobe Flash Player plugin installer


dpkg -l | grep mozilla

dpkg -l | grep fire
ii firestarter 1.0.3-7ubuntu5
gtk program for managing and observing your
ii ufw 0.30pre1-0ubuntu2
program for managing a Netfilter firewall

Note: Mozilla Firefox installed from direct download from Mozilla, not
through the Ubuntu package system.

== Join in the Global weekly meetings, via voice, about all Free SW HW & Culture
http://sites.google.com/site/berkeleytip/


--
ubuntu-users mailing list
ubuntu-users@lists.ubuntu.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-users
 
Old 03-25-2011, 02:38 PM
MR ZenWiz
 
Default Adobe Flash fails Firefox: LoadPlugin: failed initialize flashplugin-installer/npwrapper.libflashplayer.so : wrong ELF class: ELFCLASS64 ; gre

On Wed, Mar 23, 2011 at 3:25 PM, giovanni_re <john_re@fastmail.us> wrote:
:
>
> I'm running KUbuntu 10.4 fully apt-updated, on AMD 64.

Are you sure you're running all 64-bit plugins, or have
nspluginwrapper set up properly for your 32-bit plugins? That could
be it.

Also, please don't post such huge entries in email - that's what
pastebin is for....

--
ubuntu-users mailing list
ubuntu-users@lists.ubuntu.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-users
 

Thread Tools




All times are GMT. The time now is 08:41 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org